aboutsummaryrefslogtreecommitdiffhomepage
path: root/bin/fetch-skps
diff options
context:
space:
mode:
authorGravatar mtklein <mtklein@chromium.org>2015-01-28 09:39:10 -0800
committerGravatar Commit bot <commit-bot@chromium.org>2015-01-28 09:39:10 -0800
commit674cd7e05c79ee60216c4d0fd53c2c0e162a7887 (patch)
tree16214370dc6b885ae88eef32712fb2f91fcf8cfd /bin/fetch-skps
parent073720e8979f1ad0a28c6e277e73e09e1706e0d1 (diff)
Add a script to fetch the latest SKPs.
I keep forgetting how best to do this. NOTRY=true NOTREECHECKS=true Review URL: https://codereview.chromium.org/880283002
Diffstat (limited to 'bin/fetch-skps')
-rwxr-xr-xbin/fetch-skps9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/fetch-skps b/bin/fetch-skps
new file mode 100755
index 0000000000..5512b6e8fb
--- /dev/null
+++ b/bin/fetch-skps
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# Copies the latest bot-generated SKP set to ./skps.
+
+set -x
+set -e
+
+VERSION=`cat $(dirname $0)/../SKP_VERSION`
+gsutil -m cp -r gs://chromium-skia-gm/playback_$VERSION/skps .